package eu.teraflow.policy.monitoring.model;

public class BooleanKpiValue implements KpiValue<Boolean> {

    private final boolean value;

    public BooleanKpiValue(boolean value) {
        this.value = value;
    }

    @Override
    public Boolean getValue() {
        return this.value;
    }

    @Override
    public String toString() {
        return String.format("%s:{value:\"%b\"}", getClass().getSimpleName(), value);
    }
}
